package sk.tuke.bkpi.basic;

import java.util.* ;

public class BT_SEQUENCE<BT_VALUE> {
	
	LinkedList bseq ;
	int capacity ;
	
	public BT_SEQUENCE (int initialCapacity) {
		INITIALISATION(initialCapacity) ;
	}
	
	public void INITIALISATION(int initialCapacity) {
		bseq = new LinkedList () ;
		capacity = initialCapacity ;
	}
	
	public int numberOfElements () {
		return (bseq.size()) ;
	}
	
	public int isFull() {
		if (bseq.size()==capacity) {
			return 1 ;
		}
		else {
			return 0 ;
		}
	}
	
	public int get (int ii) {
		return (((Integer)bseq.get(ii-1)).intValue()) ;
	}
		
	public int getFirst () {
		return (((Integer)bseq.getFirst()).intValue()) ;
	}
		
	public int getLast () {
		return (((Integer)bseq.getLast()).intValue()) ;
	}

	public void removeFirst () {
		bseq.removeFirst () ;
	}
		
	public void removeLast () {
		bseq.removeLast () ;
	}

	public void remove (int ii) {
		bseq.remove(ii-1) ;
	}
	
	public void addFirst (int vv) {
		bseq.addFirst (new Integer(vv)) ;
	}

	public void addLast (int vv) {
		bseq.addLast (new Integer(vv)) ;
	}

	public void add (int ii, int vv) {
		bseq.add (ii-1, new Integer(vv)) ;
	}
	
	public void set (int ii, int vv) {
		bseq.set (ii-1, new Integer(vv)) ;
	}
	
	public void clear () {
		bseq.clear () ;
	}
	
	public String text() {
		return bseq.toString() ;
	}
}
