class BT_SET<BT_VALUE>{
    private bset:Set<BT_VALUE> = new Set<BT_VALUE>();
    private capacity:number = 0;
    constructor(initialCapacity:number) {
        this.INITIALISATION(initialCapacity);
    }
    public INITIALISATION(initialCapacity:number) {
        this.bset = new Set<BT_VALUE>();
        this.capacity = initialCapacity;
    }
    public cardinal(){
        return this.bset.size;
    }

    public isFull() {
        if (this.bset.size===this.capacity) {
            return 1 ;
        }
        else {
            return 0 ;
        }
    }

    public isIn (vv:BT_VALUE) {
        return this.bset.has(vv)
    }
    public remove(vv:BT_VALUE) {
        this.bset.delete(vv);
    }
    public add(vv:BT_VALUE){
        this.bset.add(vv)
    }

    public clear(){
        this.bset.clear();
    }

    public text(){
        this.bset.toString();
    }

}
