class BT_SET{
    #bset;
    #capacity
    constructor(initialCapacity) {
        this.INITIALISATION(initialCapacity);
    }
    INITIALISATION(initialCapacity) {
        this.#bset = new Set();
        this.#capacity = initialCapacity;
    }
    cardinal(){
        return this.#bset.size;
    }

    isFull() {
        if (this.#bset.size()===this.#capacity) {
            return 1 ;
        }
        else {
            return 0 ;
        }
    }

    isIn (vv) {
        return this.#bset.has(vv)
    }
    remove(vv) {
        this.#bset.delete(vv);
    }
    add(vv){
        this.#bset.add(vv)
    }

    clear(){
        this.#bset.clear();
    }

    text(){
        this.#bset.toString();
    }

}
